<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Saisie 1 page</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br/>");
 if (!empty($_POST['valider']))
 {
  $Nom=$_POST['Nom'] ;               // on récupère les données
  echo "Nom saisi : ".$Nom.WEB_EOL ; // on traite les données
 }
 else
 {
 ?>
  <!-- <form action="chaine_saisie_affichage_1page_web.php" method="post"> -->
  <form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post">
   Entrez un nom  <input type="text" name="Nom" size="30" /><br/>
   <input type="submit" name="valider" value="Valider la saisie" />
   <input type="reset" name="effacer" value="Effacer le formulaire" />
  </form> 
 <?php
 }
 ?>
 </body>
</html>
